
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelN11BulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelN11BulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelN11BulkExportExchange {

  @Inject
  private transient Instance<NlWasModelN11BulkExportMapper> mappers;

  public DefaultNlWasModelN11BulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelN11BulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
